de.esprit.appsuite.gui.pathtree.edit

## Class RenamePathAction<C extends ApplicationContext,T extends PathTree>

- java.lang.Object
- - javax.swing.AbstractAction
  - - de.esprit.common.gui.ZAction<C>
    - - de.esprit.appsuite.gui.tree.TreeSelectionAction<C,T>
      - - de.esprit.appsuite.gui.pathtree.PathTreeSelectionAction<C,T>
        - - de.esprit.appsuite.gui.pathtree.edit.AbstractPathEditAction<C,T>
          - - de.esprit.appsuite.gui.pathtree.edit.RenamePathAction<C,T>

- All Implemented Interfaces:
    ApplicationObject<C>, ErrorHandlerSupport, SimpleLogSupport, java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

      public class RenamePathAction<C extends ApplicationContext,T extends PathTree>
      extends AbstractPathEditAction<C,T>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenamePathAction(C ctx, T tree)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkEnableCondition()` This condition is evaluated automatically after construction.
    `protected AbstractPathEditDialog` | `createDialog(C ctx)`

    - ### Methods inherited from class de.esprit.appsuite.gui.pathtree.edit.AbstractPathEditAction

      `actionFired`

    - ### Methods inherited from class de.esprit.appsuite.gui.pathtree.PathTreeSelectionAction

      `getSelectedFile, getSelectedNode, isArchive, isDirectory, isFile, isLeaf, isRoot`

    - ### Methods inherited from class de.esprit.appsuite.gui.tree.TreeSelectionAction

      `getSelectionPath, getTree`

    - ### Methods inherited from class de.esprit.common.gui.ZAction

      `actionConfirmed, actionDenied, actionFailed, actionPerformed, actionPrepare, actionSucceeded, fire, getApplicationContext, getButtonText, getIcon, getLogChannel, getMenuText, getName, getPressedIcon, getTipText, isForced, isHandleError, isLogDebug, isLogVerbose, isPermitted, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, performAvailabilityCheck, setBusyAnimationEnabled, setHandleError, setIcon, setIcon, setLogChannel, setName, setPressedIcon, setPressedIcon, setText, setTipText, setValidator, showError, showError, showError, showInfo, showInfo, showWarning, showWarning, toString`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RenamePathAction

          public RenamePathAction(C ctx,
                          T tree)

  - ### Method Detail

    - #### checkEnableCondition

          public boolean checkEnableCondition()

      Description copied from class: `ZAction`
      This condition is evaluated automatically after construction. The action enables/disables accordingly. Does not change the current enable state by default.
      Overrides:
        `checkEnableCondition` in class `TreeSelectionAction<C extends ApplicationContext,T extends PathTree>`

    - #### createDialog

          protected AbstractPathEditDialog createDialog(C ctx)

      Specified by:
        `createDialog` in class `AbstractPathEditAction<C extends ApplicationContext,T extends PathTree>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.